image: node:6.7.0

stages:
  - test
  - build

variables:
  DOCKER_IMAGE_NAME: registry.gitlab.com/darkhounds/aethernauts/edge/bookkeeper:$CI_BUILD_REF_NAME

cache:
  paths:
    - node_modules/

before_script:
    - npm install

test:
  stage: test
  script:
    - npm run test

build-docker:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t $DOCKER_IMAGE_NAME .
    - docker push $DOCKER_IMAGE_NAME
  only:
    - master
    - dev
